Jenkins项目使用不同版本的JDK版本构建
· 技术积累 · Jenkins

例如jenkins项目中,比如当前项目使用的是jdk8,现在要更新升级了,要求jdk11版本

安装新的jdk版本:在你jenkins服务器上再装个一个jdk版本,或者直接在jenkins全局工具配置中安装需要的jdk版本(我这里只有jdk9,没有更高版本了,所以直接在服务器装个jdk11),在服务器上装好jdk11后,在jenkins全局工具配置中添加下,如下图所示保存下即可

Jenkins项目使用不同版本的JDK版本构建

打开项目配置,有个JDK选择,这里选择下你需要使用的哪个版本,然后构建就可以了

Jenkins项目使用不同版本的JDK版本构建


本文最后更新时间 2023-11-17
文章链接地址:
https://hope.jinchuang.org/archives/1435.html
本站文章除注明[转载|引用],均为本站原创内容,转载前请注明出处
gitlab+jenkins使用构建打包

Win10安装系统失败 "无法安装所需的文件,请确保安装所需的所有文件可用"

Ubuntu ssh登录提示信息修改

我要留言